<?php session_start();
$user = $_SESSION['usuario'];


//function baixarAquivo($pasta,$zipFileName){
    
    $fabricante = $_GET['fabricante'];
    // Pasta que contém os arquivos que você deseja compactar
    $dirPath = 'C:\xampp\htdocs\chronos\recebimento\gerador\arquivos\usuario'.$user;
    
    // Nome do arquivo ZIP que será criado
    $zipFileName = $fabricante . '.zip';
    
    // Inicializa o objeto ZipArchive
    $zip = new ZipArchive();
    if ($zip->open($zipFileName, ZipArchive::CREATE | ZipArchive::OVERWRITE) === true) {
        // Abre o diretório e adiciona os arquivos ao arquivo ZIP
        $files = new RecursiveIteratorIterator(
            new RecursiveDirectoryIterator($dirPath),
            RecursiveIteratorIterator::LEAVES_ONLY
        );
    
        foreach ($files as $name => $file) {
            // Verifica se o arquivo é um arquivo real (não é um diretório)
            if (!$file->isDir()) {
                $filePath = $file->getRealPath();
                $relativePath = substr($filePath, strlen($dirPath));
    
                // Adiciona o arquivo ao ZIP
                $zip->addFile($filePath, $relativePath);
            }
        }
    
        // Fecha o arquivo ZIP
        $zip->close();
    
        // Envia o arquivo ZIP para download
        header("Content-Type: application/zip");
        header("Content-Disposition: attachment; filename=$zipFileName");
        header("Content-Length: " . filesize($zipFileName));
        readfile($zipFileName);
    
        // Apaga o arquivo ZIP depois do download
        unlink($zipFileName);
    } else {
        echo "Não foi possível criar o arquivo ZIP.";
    }

//}


